<?php

namespace JimsCustomerBooking\RestfulAPI;

use JimsCustomerBooking\Database\Booking;
use function categoryPosts\register_route;

class BookingsStatisticsController extends RestController implements IRestfulController
{
    protected $route = 'booking-statistics';

    public function register_routes()
    {
        register_rest_route( $this->get_namespace(), '/' . $this->get_route () . '/totals', [
            [
                'methods' => \WP_REST_Server::READABLE,
                'callback' => [$this, 'get_totals'],
                'permission_callback' => '__return_true',
                'args' => $this->get_collection_params()
            ]
        ]);

        register_rest_route( $this->get_namespace(), '/' . $this->get_route () . '/totals-by-date', [
            [
                'methods' => \WP_REST_Server::READABLE,
                'callback' => [$this, 'get_totals_by_date'],
                'permission_callback' => '__return_true',
                'args' => $this->get_collection_params()
            ]
        ]);
    }

    /**
     * @param \WP_REST_Request $request
     * @return \WP_REST_Response
     */
    public function get_totals(\WP_REST_Request $request){
        $status = $request->get_param('status');

        return $this->response( Booking::getStatisticsTotals($status) );
    }

    /**
     * @param \WP_REST_Request $request
     * @return \WP_REST_Response
     */
    public function get_totals_by_date(\WP_REST_Request $request)
    {
        $status = $request->get_param('status');
        $date = $request->get_param('date');

        return $this->response(Booking::getStatisticsTotalsByDate($date, $status));
    }
}