<?php
/**
 * @wordpress-plugin
 * Plugin Name:       Jim's WP-CB
 * Plugin URI:        https://jims.net
 * Description:       Plugin to embed Jims's Group functionality
 * Version:           3.1.0
 * Author:            Tiberiu Petcu, Georgios Antoniou, Konstantinos Tsatsarounos, George Georgakopoulos
 * Author URI:        https://plegma.host
 * Text Domain:       jims
 * Domain Path:       /languages
 */


$loader = require __DIR__ . '/vendor/autoload.php';
//$loader->addPsr4('JimsCustomerBooking\\', __DIR__ . '/includes');

if( ! defined('JIMS_CBP_VERSION')) {
    define('JIMS_CBP_VERSION', \JimsCustomerBooking\Jims_Plugin::$version);
    define('JIMS_CBP_FILE', __FILE__);
    define('JIMS_CBP_DIR', __DIR__);
    define ('JIMS_CBP_URL', plugin_dir_url(__FILE__));
    define('JIMS_INTERNAL_URL', 'https://app.internal.jims.net');
}

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
    die;
}

// Disable wpautop for specific Gutenberg block
//function disable_wpautop_for_shortcode_block($block_content, $block) {
//    if ($block['blockName'] !== 'core/shortcode') {
//        return $block_content;
//    }
//
//    // Check if your shortcode is present
//    if (strpos($block_content, 'jcbForms') !== false) {
//        $block_content = remove_p_tags_inside_scripts($block_content);
//    }
//
//    return $block_content;
//}
//
//add_filter('render_block', 'disable_wpautop_for_shortcode_block', 10, 2);
//
//
//function remove_p_tags_inside_scripts($content) {
//    return preg_replace_callback(
//        '#<script(.*?)>(.*?)<\/script>#is',
//        function($matches) {
//            $scriptContent = $matches[2];
//            $scriptContent = str_replace('<p>', '', $scriptContent);
//            $scriptContent = str_replace('</p>', '', $scriptContent);
//            return '<script' . $matches[1] . '>' . $scriptContent . '</script>';
//        },
//        $content
//    );
//}


/**
 * Enable auto update
 * Checks for plugin updates in 3 interval and displays a notice if an update is available.
 */
\JimsCustomerBooking\Jims_Versioner::update_check ();

function activate_jims() {
    JimsCustomerBooking\Jims_Versioner::activate();
    \JimsCustomerBooking\Database\Database::setupOrUpdateDatabase();
    error_log('JIMS ACTIVATED');
}

register_activation_hook( JIMS_CBP_FILE, 'activate_jims' );
//register_deactivation_hook( __FILE__, 'deactivate_jims' );

$jims_instance = new JimsCustomerBooking\Jims_Plugin();
$jims_instance->run();
